# Orders

## Ex-ante cost information

> Ex-ante cost information

```json
{"openapi":"3.0.1","info":{"title":"TraditionalAssets","version":"1.0"},"tags":[{"name":"Orders","description":"Orders"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","refreshUrl":"","scopes":{}}}}},"schemas":{"ExAnteCostData":{"title":"ExAnteCostData","type":"object","properties":{"tradeSide":{"$ref":"#/components/schemas/TradeSideEnum"},"quantityType":{"$ref":"#/components/schemas/TraditionalAssetOrderQuantityTypeEnum"},"exchangeCode":{"$ref":"#/components/schemas/TraditionalAssetExchangeCodeEnum"},"orderType":{"$ref":"#/components/schemas/TraditionalAssetOrderTypeEnum"},"isin":{"type":"string","pattern":"^[A-Z]{2}[A-Z0-9]{10}$"},"quantity":{"type":"number","multipleOf":1},"price":{"type":"number","multipleOf":0.001,"description":"This property represents the limit or stop price depending on the order type. It is required for stop/limit orders."}},"required":["tradeSide","quantityType","exchangeCode","orderType","isin","quantity"]},"TradeSideEnum":{"title":"TradeSideEnum","type":"string","enum":["BUY","SELL"]},"TraditionalAssetOrderQuantityTypeEnum":{"title":"TraditionalAssetOrderQuantityTypeEnum","type":"string","enum":["UNIT"]},"TraditionalAssetExchangeCodeEnum":{"title":"TraditionalAssetExchangeCodeEnum","type":"string","enum":["TGAT","XFRA"]},"TraditionalAssetOrderTypeEnum":{"title":"TraditionalAssetOrderTypeEnum","type":"string","enum":["LIMIT","MARKET","STOP"]},"ExAnteCostResult":{"title":"ExAnteCostResult","type":"object","properties":{"exAnteId":{"type":"string"},"createdOn":{"type":"string","format":"date-time"},"asset":{"$ref":"#/components/schemas/AssetCostInfo"},"order":{"$ref":"#/components/schemas/OrderCostInfo"},"purchaseCosts":{"$ref":"#/components/schemas/TransactionFees"},"productCosts":{"$ref":"#/components/schemas/ProductCosts"},"saleCosts":{"$ref":"#/components/schemas/TransactionFees"},"total":{"$ref":"#/components/schemas/TotalCost"},"timeline":{"$ref":"#/components/schemas/TimelineCost"},"metaInfo":{"$ref":"#/components/schemas/MetaInfo"}},"required":["exAnteId","createdOn","asset","order","purchaseCosts","productCosts","saleCosts","total","timeline","metaInfo"]},"AssetCostInfo":{"title":"AssetCostInfo","type":"object","properties":{"isin":{"type":"string","pattern":"^[A-Z]{2}[A-Z0-9]{10}$"},"type":{"$ref":"#/components/schemas/TraditionalAssetTypeEnum"},"name":{"type":"string"}},"required":["isin","type","name"]},"TraditionalAssetTypeEnum":{"title":"TraditionalAssetTypeEnum","type":"string","description":"The type of the traditional asset","enum":["BOND","ETF","EQUITY","FUND","COMMODITY","DERIVATIVE","ETN","UNKNOWN"]},"OrderCostInfo":{"title":"OrderCostInfo","type":"object","properties":{"quantity":{"type":"number","multipleOf":1},"tradeSide":{"$ref":"#/components/schemas/TradeSideEnum"},"exchangeCode":{"$ref":"#/components/schemas/TraditionalAssetExchangeCodeEnum"},"grossAmount":{"type":"number","multipleOf":0.01},"pricePerUnit":{"type":"number","multipleOf":0.01},"currency":{"$ref":"#/components/schemas/CurrencyEnum"}},"required":["quantity","tradeSide","exchangeCode","grossAmount","pricePerUnit","currency"]},"CurrencyEnum":{"title":"CurrencyEnum","type":"string","description":"Currency of the product's balance. Currency code in ISO 4217","enum":["EUR"]},"TransactionFees":{"type":"object","properties":{"currency":{"$ref":"#/components/schemas/CurrencyEnum"},"feeAmount":{"type":"number","multipleOf":0.01},"percent":{"type":"number","multipleOf":0.01}},"required":["currency","feeAmount","percent"]},"ProductCosts":{"type":"object","properties":{"currency":{"$ref":"#/components/schemas/CurrencyEnum"},"ter":{"type":"number","multipleOf":0.01},"percent":{"type":"number","multipleOf":0.01}},"required":["currency","ter","percent"]},"TotalCost":{"title":"TotalCost","type":"object","properties":{"productCosts":{"$ref":"#/components/schemas/ProductCosts"},"transactionFees":{"$ref":"#/components/schemas/TransactionFees"},"grants":{"$ref":"#/components/schemas/Grants"}},"required":["productCosts","transactionFees","grants"]},"Grants":{"type":"object","properties":{"currency":{"$ref":"#/components/schemas/CurrencyEnum"},"grantsAmount":{"type":"number","multipleOf":0.01},"percent":{"type":"number","multipleOf":0.01}},"required":["currency","grantsAmount","percent"]},"TimelineCost":{"title":"TimelineCost","type":"object","properties":{"year1":{"$ref":"#/components/schemas/TransactionFees"},"fromYear2":{"$ref":"#/components/schemas/ProductCosts"},"yearOfSale":{"$ref":"#/components/schemas/TransactionFees"}},"required":["year1","fromYear2","yearOfSale"]},"MetaInfo":{"title":"MetaInfo","type":"object","properties":{"disclaimer":{"type":"string"},"explanation":{"type":"string"}},"required":["disclaimer","explanation"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/traditional/ex-ante":{"post":{"summary":"Ex-ante cost information","description":"Ex-ante cost information","operationId":"ex-ante-cost","tags":["Orders"],"parameters":[{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExAnteCostData"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExAnteCostResult"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}}}
```

## Ex-ante cost information for savings plans

> Ex-ante cost information for savings plans

```json
{"openapi":"3.0.1","info":{"title":"TraditionalAssets","version":"1.0"},"tags":[{"name":"Orders","description":"Orders"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","refreshUrl":"","scopes":{}}}}},"schemas":{"ExAnteSavingsPlansCostData":{"title":"ExAnteSavingsPlansCostData","type":"object","properties":{"isin":{"type":"string","pattern":"^[A-Z]{2}[A-Z0-9]{10}$"},"exchangeCode":{"$ref":"#/components/schemas/TraditionalAssetExchangeCodeEnum"},"savingsAmount":{"type":"number","multipleOf":0.01,"description":"Monthly savings amount in EUR"},"intervalPeriod":{"$ref":"#/components/schemas/SavingsPlansIntervalPeriodEnum"},"startDate":{"type":"string","format":"date"},"endDate":{"type":"string","format":"date"}},"required":["isin","exchangeCode","savingsAmount","intervalPeriod","startDate"]},"TraditionalAssetExchangeCodeEnum":{"title":"TraditionalAssetExchangeCodeEnum","type":"string","enum":["TGAT","XFRA"]},"SavingsPlansIntervalPeriodEnum":{"title":"SavingsPlansIntervalPeriodEnum","type":"string","enum":["MONTH"]},"ExAnteSavingsPlansCostResult":{"title":"ExAnteSavingsPlansCostResult","type":"object","properties":{"exAnteId":{"type":"string"},"createdOn":{"type":"string","format":"date-time"},"asset":{"$ref":"#/components/schemas/AssetCostInfo"},"savingsPlans":{"$ref":"#/components/schemas/SavingsPlansCostInfo"},"purchaseCosts":{"$ref":"#/components/schemas/TransactionFees"},"productCosts":{"$ref":"#/components/schemas/ProductCosts"},"saleCosts":{"$ref":"#/components/schemas/TransactionFees"},"total":{"$ref":"#/components/schemas/TotalCost"},"timeline":{"$ref":"#/components/schemas/TimelineCost"},"metaInfo":{"$ref":"#/components/schemas/MetaInfo"}},"required":["exAnteId","createdOn","asset","savingsPlans","purchaseCosts","productCosts","saleCosts","total","timeline","metaInfo"]},"AssetCostInfo":{"title":"AssetCostInfo","type":"object","properties":{"isin":{"type":"string","pattern":"^[A-Z]{2}[A-Z0-9]{10}$"},"type":{"$ref":"#/components/schemas/TraditionalAssetTypeEnum"},"name":{"type":"string"}},"required":["isin","type","name"]},"TraditionalAssetTypeEnum":{"title":"TraditionalAssetTypeEnum","type":"string","description":"The type of the traditional asset","enum":["BOND","ETF","EQUITY","FUND","COMMODITY","DERIVATIVE","ETN","UNKNOWN"]},"SavingsPlansCostInfo":{"title":"SavingsPlansCostInfo","type":"object","properties":{"exchangeCode":{"$ref":"#/components/schemas/TraditionalAssetExchangeCodeEnum"},"savingsAmount":{"type":"number","multipleOf":0.01,"description":"Monthly savings amount in EUR"},"currency":{"$ref":"#/components/schemas/CurrencyEnum"},"intervalPeriod":{"$ref":"#/components/schemas/SavingsPlansIntervalPeriodEnum"},"startDate":{"type":"string","format":"date"},"endDate":{"type":"string","format":"date"},"annualAmount":{"type":"number","multipleOf":0.01,"description":"Annual savings amount (savingsAmount * 12)"}},"required":["exchangeCode","savingsAmount","currency","intervalPeriod","startDate","annualAmount"]},"CurrencyEnum":{"title":"CurrencyEnum","type":"string","description":"Currency of the product's balance. Currency code in ISO 4217","enum":["EUR"]},"TransactionFees":{"type":"object","properties":{"currency":{"$ref":"#/components/schemas/CurrencyEnum"},"feeAmount":{"type":"number","multipleOf":0.01},"percent":{"type":"number","multipleOf":0.01}},"required":["currency","feeAmount","percent"]},"ProductCosts":{"type":"object","properties":{"currency":{"$ref":"#/components/schemas/CurrencyEnum"},"ter":{"type":"number","multipleOf":0.01},"percent":{"type":"number","multipleOf":0.01}},"required":["currency","ter","percent"]},"TotalCost":{"title":"TotalCost","type":"object","properties":{"productCosts":{"$ref":"#/components/schemas/ProductCosts"},"transactionFees":{"$ref":"#/components/schemas/TransactionFees"},"grants":{"$ref":"#/components/schemas/Grants"}},"required":["productCosts","transactionFees","grants"]},"Grants":{"type":"object","properties":{"currency":{"$ref":"#/components/schemas/CurrencyEnum"},"grantsAmount":{"type":"number","multipleOf":0.01},"percent":{"type":"number","multipleOf":0.01}},"required":["currency","grantsAmount","percent"]},"TimelineCost":{"title":"TimelineCost","type":"object","properties":{"year1":{"$ref":"#/components/schemas/TransactionFees"},"fromYear2":{"$ref":"#/components/schemas/ProductCosts"},"yearOfSale":{"$ref":"#/components/schemas/TransactionFees"}},"required":["year1","fromYear2","yearOfSale"]},"MetaInfo":{"title":"MetaInfo","type":"object","properties":{"disclaimer":{"type":"string"},"explanation":{"type":"string"}},"required":["disclaimer","explanation"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/traditional/ex-ante/savings-plans":{"post":{"summary":"Ex-ante cost information for savings plans","description":"Ex-ante cost information for savings plans","operationId":"ex-ante-savings-plans-cost","tags":["Orders"],"parameters":[{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExAnteSavingsPlansCostData"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExAnteSavingsPlansCostResult"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}}}
```

## Create Market Order

> Create a single security market order

```json
{"openapi":"3.0.1","info":{"title":"TraditionalAssets","version":"1.0"},"tags":[{"name":"Orders","description":"Orders"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","refreshUrl":"","scopes":{}}}}},"schemas":{"CreateOrderResult":{"title":"CreateOrderResult","type":"object","properties":{"orderId":{"type":"string","format":"uuid"},"createdOn":{"type":"string","format":"date-time"}},"required":["orderId","createdOn"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"MarketOrderData":{"title":"MarketOrderData","type":"object","properties":{"depositoryCustomerProductId":{"type":"string","format":"uuid","description":"The identifier of the depository customer product instance"},"cashCustomerProductId":{"type":"string","format":"uuid","description":"Cash customer product used for the order."},"tradeSide":{"$ref":"#/components/schemas/TradeSideEnum"},"quantityType":{"$ref":"#/components/schemas/TraditionalAssetOrderQuantityTypeEnum"},"exchangeCode":{"$ref":"#/components/schemas/TraditionalAssetExchangeCodeEnum"},"isin":{"type":"string","description":"ISIN of the asset","minLength":12,"maxLength":12,"pattern":"^[A-Z]{2}[A-Z0-9]{10}$"},"quantity":{"type":"number","multipleOf":1,"description":"Number of shares"},"externalId":{"type":"string","description":"Order id in partner's system. This value has to be unique."}},"required":["depositoryCustomerProductId","cashCustomerProductId","tradeSide","quantityType","exchangeCode","isin","quantity","externalId"]},"TradeSideEnum":{"title":"TradeSideEnum","type":"string","enum":["BUY","SELL"]},"TraditionalAssetOrderQuantityTypeEnum":{"title":"TraditionalAssetOrderQuantityTypeEnum","type":"string","enum":["UNIT"]},"TraditionalAssetExchangeCodeEnum":{"title":"TraditionalAssetExchangeCodeEnum","type":"string","enum":["TGAT","XFRA"]}}},"paths":{"/traditional/orders/market":{"post":{"summary":"Create Market Order","operationId":"create-market-order","tags":["Orders"],"parameters":[{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOrderResult"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketOrderData"}}}},"description":"Create a single security market order"}}}}
```

## Create Limit Order

> Create a single security limit order

```json
{"openapi":"3.0.1","info":{"title":"TraditionalAssets","version":"1.0"},"tags":[{"name":"Orders","description":"Orders"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","refreshUrl":"","scopes":{}}}}},"schemas":{"CreateOrderResult":{"title":"CreateOrderResult","type":"object","properties":{"orderId":{"type":"string","format":"uuid"},"createdOn":{"type":"string","format":"date-time"}},"required":["orderId","createdOn"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"LimitOrderData":{"title":"LimitOrderData","type":"object","properties":{"depositoryCustomerProductId":{"type":"string","format":"uuid","description":"The identifier of the depository customer product instance"},"cashCustomerProductId":{"type":"string","format":"uuid","description":"Cash customer product used for the order."},"tradeSide":{"$ref":"#/components/schemas/TradeSideEnum"},"quantityType":{"$ref":"#/components/schemas/TraditionalAssetOrderQuantityTypeEnum"},"exchangeCode":{"$ref":"#/components/schemas/TraditionalAssetExchangeCodeEnum"},"isin":{"type":"string","description":"ISIN of the asset","minLength":12,"maxLength":12,"pattern":"^[A-Z]{2}[A-Z0-9]{10}$"},"quantity":{"type":"number","multipleOf":1,"description":"Number of shares"},"limitPrice":{"type":"number","multipleOf":0.001,"description":"The limit price for orders of the type 'limit'."},"expiryDate":{"type":"string","format":"date","description":"'The order expiration date (last day the order can trade) in the YYYY-MM-DD format.\nDefault value is T+1 year'"},"externalId":{"type":"string","description":"Order id in partner's system. This value has to be unique."}},"required":["depositoryCustomerProductId","cashCustomerProductId","tradeSide","quantityType","exchangeCode","isin","quantity","limitPrice","expiryDate","externalId"]},"TradeSideEnum":{"title":"TradeSideEnum","type":"string","enum":["BUY","SELL"]},"TraditionalAssetOrderQuantityTypeEnum":{"title":"TraditionalAssetOrderQuantityTypeEnum","type":"string","enum":["UNIT"]},"TraditionalAssetExchangeCodeEnum":{"title":"TraditionalAssetExchangeCodeEnum","type":"string","enum":["TGAT","XFRA"]}}},"paths":{"/traditional/orders/limit":{"post":{"summary":"Create Limit Order","operationId":"create-limit-order","tags":["Orders"],"parameters":[{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOrderResult"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LimitOrderData"}}}},"description":"Create a single security limit order"}}}}
```

## Create Stop Order

> Create a single security stop order

```json
{"openapi":"3.0.1","info":{"title":"TraditionalAssets","version":"1.0"},"tags":[{"name":"Orders","description":"Orders"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","refreshUrl":"","scopes":{}}}}},"schemas":{"CreateOrderResult":{"title":"CreateOrderResult","type":"object","properties":{"orderId":{"type":"string","format":"uuid"},"createdOn":{"type":"string","format":"date-time"}},"required":["orderId","createdOn"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"StopOrderData":{"title":"StopOrderData","type":"object","properties":{"depositoryCustomerProductId":{"type":"string","format":"uuid","description":"The identifier of the depository customer product instance"},"cashCustomerProductId":{"type":"string","format":"uuid","description":"Cash customer product used for the order."},"tradeSide":{"$ref":"#/components/schemas/TradeSideEnum"},"quantityType":{"$ref":"#/components/schemas/TraditionalAssetOrderQuantityTypeEnum"},"exchangeCode":{"$ref":"#/components/schemas/TraditionalAssetExchangeCodeEnum"},"isin":{"type":"string","description":"ISIN of the asset","minLength":12,"maxLength":12,"pattern":"^[A-Z]{2}[A-Z0-9]{10}$"},"quantity":{"type":"number","multipleOf":1,"description":"Number of shares"},"stopPrice":{"type":"number","multipleOf":0.001,"description":"The stop price for orders of the type 'stop'."},"expiryDate":{"type":"string","format":"date","description":"'The order expiration date (last day the order can trade) in the YYYY-MM-DD format.\nDefault value is T+1 year'"},"externalId":{"type":"string","description":"Order id in partner's system. This value has to be unique."}},"required":["depositoryCustomerProductId","cashCustomerProductId","tradeSide","quantityType","exchangeCode","isin","quantity","stopPrice","expiryDate","externalId"]},"TradeSideEnum":{"title":"TradeSideEnum","type":"string","enum":["BUY","SELL"]},"TraditionalAssetOrderQuantityTypeEnum":{"title":"TraditionalAssetOrderQuantityTypeEnum","type":"string","enum":["UNIT"]},"TraditionalAssetExchangeCodeEnum":{"title":"TraditionalAssetExchangeCodeEnum","type":"string","enum":["TGAT","XFRA"]}}},"paths":{"/traditional/orders/stop":{"post":{"summary":"Create Stop Order","operationId":"create-stop-order","tags":["Orders"],"parameters":[{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOrderResult"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StopOrderData"}}}},"description":"Create a single security stop order"}}}}
```

## Cancel order

> Cancel a single trading order. Please note that Market orders have a low probability of being canceled.

```json
{"openapi":"3.0.1","info":{"title":"TraditionalAssets","version":"1.0"},"tags":[{"name":"Orders","description":"Orders"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","refreshUrl":"","scopes":{}}}}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/traditional/orders/{orderId}":{"delete":{"summary":"Cancel order","operationId":"cancel-order","tags":["Orders"],"parameters":[{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}],"responses":{"202":{"description":"Accepted","content":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Cancel a single trading order. Please note that Market orders have a low probability of being canceled."}}}}
```

## Get Order

> Get single order

```json
{"openapi":"3.0.1","info":{"title":"TraditionalAssets","version":"1.0"},"tags":[{"name":"Orders","description":"Orders"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","refreshUrl":"","scopes":{}}}}},"schemas":{"Order":{"type":"object","properties":{"orderId":{"type":"string","format":"uuid"},"exAnteId":{"type":"string","format":"uuid"},"createdOn":{"type":"string","format":"date-time","description":"The date on which the order was created"},"modifiedOn":{"type":"string","format":"date-time","description":"The date on which the order was modified the last time"},"status":{"$ref":"#/components/schemas/TraditionalAssetOrderStatusEnum"},"message":{"type":"string"},"execution":{"$ref":"#/components/schemas/OrderExecution"},"partialExecutions":{"type":"array","description":"List of partial executions","items":{"$ref":"#/components/schemas/PartialExecution"}},"depositoryCustomerProductId":{"type":"string","format":"uuid","description":"The identifier of the depository customer product instance"},"cashCustomerProductId":{"type":"string","format":"uuid","description":"Cash customer product used for the order."},"tradeSide":{"$ref":"#/components/schemas/TradeSideEnum"},"isin":{"type":"string","description":"ISIN of the asset","minLength":12,"maxLength":12,"pattern":"^[A-Z]{2}[A-Z0-9]{10}$"},"quantity":{"type":"number","multipleOf":1,"description":"Number of shares"},"orderType":{"$ref":"#/components/schemas/TraditionalAssetOrderTypeEnum"},"quantityType":{"$ref":"#/components/schemas/TraditionalAssetOrderQuantityTypeEnum"},"limitPrice":{"type":"number","multipleOf":0.001,"description":"The limit price for orders of the type 'limit'."},"stopPrice":{"type":"number","multipleOf":0.001,"description":"The stop price for orders of the type 'stop'."},"expiryDate":{"type":"string","format":"date","description":"'The order expiration date (last day the order can trade) in the YYYY-MM-DD format.\nDefault value is T+1 year'"},"externalId":{"type":"string","description":"Order id in partner's system. This value has to be unique."},"asset_experience_fit":{"type":"boolean","description":"Only applicable if the user has failed the asset fit check for the asset type being ordered.\nTrue if the user has acknowledged their willingness to trade.\n"},"exchangeCode":{"$ref":"#/components/schemas/TraditionalAssetExchangeCodeEnum"}},"required":["cashCustomerProductId","createdOn","depositoryCustomerProductId","exAnteId","exchangeCode","externalId","isin","modifiedOn","orderId","orderType","quantity","quantityType","status","tradeSide"],"title":"Order"},"TraditionalAssetOrderStatusEnum":{"title":"TraditionalAssetOrderStatusEnum","type":"string","enum":["RECEIVED","INVALID","PLACED","UPDATED","REJECTED","FILLED","PARTIALLY_FILLED","CANCELLED","RECONCILIATION_CORRECTION","EXPIRED","PENDING","CANCELLATION_REJECTED","CANCELLATION_ACCEPTED","PARTIALLY_FILLED_CANCELLED","PARTIALLY_FILLED_EXPIRED"]},"OrderExecution":{"title":"OrderExecution","type":"object","properties":{"executionPrice":{"type":"number","description":"The average price per unit of the total execution"},"executionQuantity":{"type":"number"},"remainingQuantity":{"type":"number"},"valueDate":{"type":"string","format":"date"},"bookingDate":{"type":"string","format":"date"},"transactionTime":{"type":"string","format":"date-time"},"amount":{"type":"number","multipleOf":0.01,"description":"Total sum of all executions excluding fees."},"feeAmount":{"type":"number","multipleOf":0.01},"feeDescription":{"type":"string"},"germanCit":{"type":"number","format":"decimal","description":"Total sum of german capital income tax amount of the total execution"},"solidaritySurcharge":{"type":"number","format":"decimal","description":"Total sum of german solidarity surcharge tax amount of the total execution"},"churchTax":{"type":"number","format":"decimal","description":"Total sum of german church tax amount of the total execution"},"amountCurrency":{"$ref":"#/components/schemas/CurrencyEnum"}},"required":["executionPrice","executionQuantity","transactionTime","amount","amountCurrency","germanCit","solidaritySurcharge","churchTax"]},"CurrencyEnum":{"title":"CurrencyEnum","type":"string","description":"Currency of the product's balance. Currency code in ISO 4217","enum":["EUR"]},"PartialExecution":{"title":"PartialExecution","type":"object","properties":{"executionId":{"type":"string","format":"uuid"},"executionPrice":{"type":"number"},"executionQuantity":{"type":"number"},"amount":{"type":"number","multipleOf":0.01},"executionTime":{"type":"string","format":"date-time"},"valueDate":{"type":"string","format":"date"},"bookingDate":{"type":"string","format":"date"},"status":{"$ref":"#/components/schemas/TraditionalAssetOrderStatusEnum"},"taxData":{"type":"array","items":{"$ref":"#/components/schemas/TaxData"}},"feeAmount":{"type":"number","multipleOf":0.01},"feeDescription":{"type":"string"}},"required":["executionId","executionPrice","executionQuantity","executionTime","amount","valueDate","bookingDate","status"]},"TaxData":{"title":"TaxData","type":"object","properties":{"germanCit":{"type":"number","format":"decimal","description":"German capital income tax amount for this transaction"},"solidaritySurcharge":{"type":"number","format":"decimal","description":"German solidarity surcharge tax amount for this transaction"},"churchTax":{"type":"number","format":"decimal","description":"German church tax amount for this transaction"}},"required":["germanCit","solidaritySurcharge","churchTax"]},"TradeSideEnum":{"title":"TradeSideEnum","type":"string","enum":["BUY","SELL"]},"TraditionalAssetOrderTypeEnum":{"title":"TraditionalAssetOrderTypeEnum","type":"string","enum":["LIMIT","MARKET","STOP"]},"TraditionalAssetOrderQuantityTypeEnum":{"title":"TraditionalAssetOrderQuantityTypeEnum","type":"string","enum":["UNIT"]},"TraditionalAssetExchangeCodeEnum":{"title":"TraditionalAssetExchangeCodeEnum","type":"string","enum":["TGAT","XFRA"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/traditional/orders/{orderId}":{"get":{"summary":"Get Order","operationId":"get-order","tags":["Orders"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Order"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Get single order"}}}}
```

## Get Orders

> Get orders

```json
{"openapi":"3.0.1","info":{"title":"TraditionalAssets","version":"1.0"},"tags":[{"name":"Orders","description":"Orders"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","refreshUrl":"","scopes":{}}}}},"schemas":{"Orders":{"title":"Orders","type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Order"}},"pagination":{"$ref":"#/components/schemas/Pagination"}},"required":["data","pagination"]},"Order":{"type":"object","properties":{"orderId":{"type":"string","format":"uuid"},"exAnteId":{"type":"string","format":"uuid"},"createdOn":{"type":"string","format":"date-time","description":"The date on which the order was created"},"modifiedOn":{"type":"string","format":"date-time","description":"The date on which the order was modified the last time"},"status":{"$ref":"#/components/schemas/TraditionalAssetOrderStatusEnum"},"message":{"type":"string"},"execution":{"$ref":"#/components/schemas/OrderExecution"},"partialExecutions":{"type":"array","description":"List of partial executions","items":{"$ref":"#/components/schemas/PartialExecution"}},"depositoryCustomerProductId":{"type":"string","format":"uuid","description":"The identifier of the depository customer product instance"},"cashCustomerProductId":{"type":"string","format":"uuid","description":"Cash customer product used for the order."},"tradeSide":{"$ref":"#/components/schemas/TradeSideEnum"},"isin":{"type":"string","description":"ISIN of the asset","minLength":12,"maxLength":12,"pattern":"^[A-Z]{2}[A-Z0-9]{10}$"},"quantity":{"type":"number","multipleOf":1,"description":"Number of shares"},"orderType":{"$ref":"#/components/schemas/TraditionalAssetOrderTypeEnum"},"quantityType":{"$ref":"#/components/schemas/TraditionalAssetOrderQuantityTypeEnum"},"limitPrice":{"type":"number","multipleOf":0.001,"description":"The limit price for orders of the type 'limit'."},"stopPrice":{"type":"number","multipleOf":0.001,"description":"The stop price for orders of the type 'stop'."},"expiryDate":{"type":"string","format":"date","description":"'The order expiration date (last day the order can trade) in the YYYY-MM-DD format.\nDefault value is T+1 year'"},"externalId":{"type":"string","description":"Order id in partner's system. This value has to be unique."},"asset_experience_fit":{"type":"boolean","description":"Only applicable if the user has failed the asset fit check for the asset type being ordered.\nTrue if the user has acknowledged their willingness to trade.\n"},"exchangeCode":{"$ref":"#/components/schemas/TraditionalAssetExchangeCodeEnum"}},"required":["cashCustomerProductId","createdOn","depositoryCustomerProductId","exAnteId","exchangeCode","externalId","isin","modifiedOn","orderId","orderType","quantity","quantityType","status","tradeSide"],"title":"Order"},"TraditionalAssetOrderStatusEnum":{"title":"TraditionalAssetOrderStatusEnum","type":"string","enum":["RECEIVED","INVALID","PLACED","UPDATED","REJECTED","FILLED","PARTIALLY_FILLED","CANCELLED","RECONCILIATION_CORRECTION","EXPIRED","PENDING","CANCELLATION_REJECTED","CANCELLATION_ACCEPTED","PARTIALLY_FILLED_CANCELLED","PARTIALLY_FILLED_EXPIRED"]},"OrderExecution":{"title":"OrderExecution","type":"object","properties":{"executionPrice":{"type":"number","description":"The average price per unit of the total execution"},"executionQuantity":{"type":"number"},"remainingQuantity":{"type":"number"},"valueDate":{"type":"string","format":"date"},"bookingDate":{"type":"string","format":"date"},"transactionTime":{"type":"string","format":"date-time"},"amount":{"type":"number","multipleOf":0.01,"description":"Total sum of all executions excluding fees."},"feeAmount":{"type":"number","multipleOf":0.01},"feeDescription":{"type":"string"},"germanCit":{"type":"number","format":"decimal","description":"Total sum of german capital income tax amount of the total execution"},"solidaritySurcharge":{"type":"number","format":"decimal","description":"Total sum of german solidarity surcharge tax amount of the total execution"},"churchTax":{"type":"number","format":"decimal","description":"Total sum of german church tax amount of the total execution"},"amountCurrency":{"$ref":"#/components/schemas/CurrencyEnum"}},"required":["executionPrice","executionQuantity","transactionTime","amount","amountCurrency","germanCit","solidaritySurcharge","churchTax"]},"CurrencyEnum":{"title":"CurrencyEnum","type":"string","description":"Currency of the product's balance. Currency code in ISO 4217","enum":["EUR"]},"PartialExecution":{"title":"PartialExecution","type":"object","properties":{"executionId":{"type":"string","format":"uuid"},"executionPrice":{"type":"number"},"executionQuantity":{"type":"number"},"amount":{"type":"number","multipleOf":0.01},"executionTime":{"type":"string","format":"date-time"},"valueDate":{"type":"string","format":"date"},"bookingDate":{"type":"string","format":"date"},"status":{"$ref":"#/components/schemas/TraditionalAssetOrderStatusEnum"},"taxData":{"type":"array","items":{"$ref":"#/components/schemas/TaxData"}},"feeAmount":{"type":"number","multipleOf":0.01},"feeDescription":{"type":"string"}},"required":["executionId","executionPrice","executionQuantity","executionTime","amount","valueDate","bookingDate","status"]},"TaxData":{"title":"TaxData","type":"object","properties":{"germanCit":{"type":"number","format":"decimal","description":"German capital income tax amount for this transaction"},"solidaritySurcharge":{"type":"number","format":"decimal","description":"German solidarity surcharge tax amount for this transaction"},"churchTax":{"type":"number","format":"decimal","description":"German church tax amount for this transaction"}},"required":["germanCit","solidaritySurcharge","churchTax"]},"TradeSideEnum":{"title":"TradeSideEnum","type":"string","enum":["BUY","SELL"]},"TraditionalAssetOrderTypeEnum":{"title":"TraditionalAssetOrderTypeEnum","type":"string","enum":["LIMIT","MARKET","STOP"]},"TraditionalAssetOrderQuantityTypeEnum":{"title":"TraditionalAssetOrderQuantityTypeEnum","type":"string","enum":["UNIT"]},"TraditionalAssetExchangeCodeEnum":{"title":"TraditionalAssetExchangeCodeEnum","type":"string","enum":["TGAT","XFRA"]},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/products/{customerProductId}/traditional/orders":{"get":{"summary":"Get Orders","operationId":"get-orders","tags":["Orders"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Orders"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Get orders","parameters":[{"schema":{"$ref":"#/components/schemas/TraditionalAssetOrderStatusEnum"},"in":"query","name":"status","description":"Order status. If not send all statues will be returned."},{"schema":{"type":"string","format":"date-time"},"in":"query","name":"startCreatedOn","description":"Display orders created on or after this date"},{"schema":{"type":"string","format":"date-time"},"in":"query","name":"endCreatedOn","description":"Display orders created on or before this date"},{"schema":{"type":"integer","default":20,"minimum":1},"in":"query","name":"limit","description":"Maximum number of items to return"},{"schema":{"type":"string"},"in":"query","name":"cursor","description":"String value used for pagination"},{"schema":{"type":"string","format":"uuid"},"in":"query","name":"externalId"}]}}}}
```

## Get trade invoice

> Get order trade invoice

```json
{"openapi":"3.0.1","info":{"title":"TraditionalAssets","version":"1.0"},"tags":[{"name":"Documents","description":"Documents"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","refreshUrl":"","scopes":{}}}}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/traditional/orders/trade-invoice/{executionId}":{"get":{"summary":"Get trade invoice","tags":["Documents"],"operationId":"get-traditional-asset-trade-invoice","parameters":[{"schema":{"type":"string","format":"uuid"},"name":"executionId","in":"path","required":true,"description":"Id of the trade invoice"}],"description":"Get order trade invoice","responses":{"200":{"description":"OK","content":{"application/pdf":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}}}
```

## Get Ex-ante Receipt

> Get order receipt

```json
{"openapi":"3.0.1","info":{"title":"TraditionalAssets","version":"1.0"},"tags":[{"name":"Documents","description":"Documents"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","refreshUrl":"","scopes":{}}}}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/traditional/ex-ante/{exAnteId}":{"get":{"summary":"Get Ex-ante Receipt","tags":["Documents"],"operationId":"get-traditional-asset-ex-ante-receipt","parameters":[{"schema":{"type":"string","format":"uuid"},"name":"exAnteId","in":"path","required":true,"description":"Id of the ex ante costs"}],"description":"Get order receipt","responses":{"200":{"description":"OK","content":{"application/pdf":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}}}
```

## Get Assets Document

> Get document for a traditional asset

```json
{"openapi":"3.0.1","info":{"title":"TraditionalAssets","version":"1.0"},"tags":[{"name":"Assets","description":"Assets"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","refreshUrl":"","scopes":{}}}}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/traditional/assets/{isin}/document":{"get":{"summary":"Get Assets Document","operationId":"get-assets-document","tags":["Assets"],"description":"Get document for a traditional asset","parameters":[{"schema":{"title":"LanguageEnum","type":"string","description":"Language code in ISO 639-1 two-letter codes (EU only)","enum":["da","de","el","en","es","fi","fr","hu","it","lt","lv","mt","nl","pl","pt","ro","sk","sl","sv"],"default":"de"},"name":"language","in":"query","description":"Language of the document"},{"schema":{"title":"TraditionalAssetDocumentTypeEnum","type":"string","description":"Type of document for traditional assets","enum":["kid"],"default":"kid"},"name":"documentType","in":"query","description":"Type of the document"}],"responses":{"200":{"description":"OK","content":{"application/pdf":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tradevest.ai/api-reference/asset-management/trading/orders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
